[OpenBIOS] r548 - trunk/openbios-devel/config/scripts

svn at openbios.org svn at openbios.org
Tue Aug 11 22:27:17 CEST 2009


Author: laurent
Date: 2009-08-11 22:27:17 +0200 (Tue, 11 Aug 2009)
New Revision: 548

Modified:
   trunk/openbios-devel/config/scripts/switch-arch
Log:
Author: Pavel Roskin <proski at gnu.org>

Check that the script is run from the top-level directory.  Check that
the config file is available for every specified architecture.



Modified: trunk/openbios-devel/config/scripts/switch-arch
===================================================================
--- trunk/openbios-devel/config/scripts/switch-arch	2009-08-11 20:23:43 UTC (rev 547)
+++ trunk/openbios-devel/config/scripts/switch-arch	2009-08-11 20:27:17 UTC (rev 548)
@@ -84,6 +84,11 @@
 	-e "s/Power Macintosh/ppc/"`
 }
 
+if ! test -f utils/dist/debian/rules; then
+	echo "switch-arch must be run from the top-level source directory" >&2
+	exit 1
+fi
+
 # This is needed because viewvc messes with the permissions of executables:
 chmod 755 utils/dist/debian/rules
 chmod 755 config/scripts/switch-arch
@@ -97,6 +102,11 @@
 
 echo "Configuring OpenBIOS on $HOSTARCH for $*"
 for RULES_ARCH in $*; do
+    if ! test -f config/examples/${RULES_ARCH}_config.xml; then
+	echo "Cannot find config/examples/${RULES_ARCH}_config.xml" >&2
+	exit 1
+    fi
+
     ARCH=`echo $RULES_ARCH | sed s/cross-//g`
     case $ARCH in
         amd64)




More information about the OpenBIOS mailing list